com.avaya.ccs.api.enums

## Enum ChatMessageType

- java.lang.Object
- - java.lang.Enum<ChatMessageType>
  - - com.avaya.ccs.api.enums.ChatMessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChatMessageType>

      public enum ChatMessageType
      extends java.lang.Enum<ChatMessageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `comfortmessage` a automated message sent to a customer in the queue periodically; e.g.
    `normal` a user-generated message between two parties in a Chat which is visible to all parties.
    `welcomemessage` a welcome message for the customer who has entered a chat.
    `whisper` a message between two agents who are on a Consult.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChatMessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChatMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### welcomemessage

          public static final ChatMessageType welcomemessage

      a welcome message for the customer who has entered a chat. Configured in AACC/ACCS CCMM Admin

    - #### comfortmessage

          public static final ChatMessageType comfortmessage

      a automated message sent to a customer in the queue periodically; e.g. to reassure them that an agent will be with them shortly

    - #### whisper

          public static final ChatMessageType whisper

      a message between two agents who are on a Consult. The Customer does not see this message.

    - #### normal

          public static final ChatMessageType normal

      a user-generated message between two parties in a Chat which is visible to all parties.

  - ### Method Detail

    - #### values

          public static ChatMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChatMessageType c : ChatMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChatMessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null